Bug 191780 - [PATCH] sys32_signal() forgets to initialize ->sa_mask
[PATCH] sys32_signal() forgets to initialize ->sa_mask
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Anil S Keshavamurthy
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-15 14:51 EDT by Jason Baron
Modified: 2013-03-06 00:59 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0304
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-07 21:17:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Baron 2006-05-15 14:51:48 EDT
Description of problem:


Version-Release number of selected component (if applicable):

see:

http://kernel.org/git/?p=linux/kernel/git/stable/linux-2.6.15.y.git;a=commitdiff;h=2e54d30f0f8ef437723c975b76fccf649536e96e

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Anil S Keshavamurthy 2006-06-26 19:06:23 EDT
Patch posted onto rhkernel-list: 
http://post-office.corp.redhat.com/archives/rhkernel-list/2006-May/msg00344.html
Comment 2 Anil S Keshavamurthy 2006-06-27 16:39:13 EDT
take 1 (after addressing review comments)
http://post-office.corp.redhat.com/archives/rhkernel-list/2006-June/msg00505.html
Comment 3 Jason Baron 2006-12-20 13:51:02 EST
committed in stream U5 build 42.33. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 4 RHEL Product and Program Management 2007-01-18 10:46:16 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Jay Turner 2007-01-18 15:48:58 EST
QE ack for RHEL4.5.
Comment 8 Red Hat Bugzilla 2007-05-07 21:17:57 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0304.html

Note You need to log in before you can comment on or make changes to this bug.